Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.0.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
112.0.0.0
Broadcast address
112.0.15.255
First usable
112.0.0.1
Last usable
112.0.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 70000000 · Integer 1879048192 to 1879052287
Reverse DNS zones
0.0.112.in-addr.arpa
1.0.112.in-addr.arpa
2.0.112.in-addr.arpa
3.0.112.in-addr.arpa
4.0.112.in-addr.arpa
5.0.112.in-addr.arpa
6.0.112.in-addr.arpa
7.0.112.in-addr.arpa
8.0.112.in-addr.arpa
9.0.112.in-addr.arpa
10.0.112.in-addr.arpa
11.0.112.in-addr.arpa
12.0.112.in-addr.arpa
13.0.112.in-addr.arpa
14.0.112.in-addr.arpa
15.0.112.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.00000000.00000000.00000000112.0.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01110000.00000000.00000000.00000000112.0.0.0
Broadcast01110000.00000000.00001111.11111111112.0.15.255
Split into smaller subnets/32

112.0.0.0/20 makes 4,096 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.0.0.0/32112.0.0.0 to 112.0.0.0—1
2112.0.0.1/32112.0.0.1 to 112.0.0.1—1
3112.0.0.2/32112.0.0.2 to 112.0.0.2—1
4112.0.0.3/32112.0.0.3 to 112.0.0.3—1
5112.0.0.4/32112.0.0.4 to 112.0.0.4—1
6112.0.0.5/32112.0.0.5 to 112.0.0.5—1
7112.0.0.6/32112.0.0.6 to 112.0.0.6—1
8112.0.0.7/32112.0.0.7 to 112.0.0.7—1
9112.0.0.8/32112.0.0.8 to 112.0.0.8—1
10112.0.0.9/32112.0.0.9 to 112.0.0.9—1
11112.0.0.10/32112.0.0.10 to 112.0.0.10—1
12112.0.0.11/32112.0.0.11 to 112.0.0.11—1
13112.0.0.12/32112.0.0.12 to 112.0.0.12—1
14112.0.0.13/32112.0.0.13 to 112.0.0.13—1
15112.0.0.14/32112.0.0.14 to 112.0.0.14—1
16112.0.0.15/32112.0.0.15 to 112.0.0.15—1
17112.0.0.16/32112.0.0.16 to 112.0.0.16—1
18112.0.0.17/32112.0.0.17 to 112.0.0.17—1
19112.0.0.18/32112.0.0.18 to 112.0.0.18—1
20112.0.0.19/32112.0.0.19 to 112.0.0.19—1
21112.0.0.20/32112.0.0.20 to 112.0.0.20—1
22112.0.0.21/32112.0.0.21 to 112.0.0.21—1
23112.0.0.22/32112.0.0.22 to 112.0.0.22—1
24112.0.0.23/32112.0.0.23 to 112.0.0.23—1
25112.0.0.24/32112.0.0.24 to 112.0.0.24—1
26112.0.0.25/32112.0.0.25 to 112.0.0.25—1
27112.0.0.26/32112.0.0.26 to 112.0.0.26—1
28112.0.0.27/32112.0.0.27 to 112.0.0.27—1
29112.0.0.28/32112.0.0.28 to 112.0.0.28—1
30112.0.0.29/32112.0.0.29 to 112.0.0.29—1
31112.0.0.30/32112.0.0.30 to 112.0.0.30—1
32112.0.0.31/32112.0.0.31 to 112.0.0.31—1
33112.0.0.32/32112.0.0.32 to 112.0.0.32—1
34112.0.0.33/32112.0.0.33 to 112.0.0.33—1
35112.0.0.34/32112.0.0.34 to 112.0.0.34—1
36112.0.0.35/32112.0.0.35 to 112.0.0.35—1
37112.0.0.36/32112.0.0.36 to 112.0.0.36—1
38112.0.0.37/32112.0.0.37 to 112.0.0.37—1
39112.0.0.38/32112.0.0.38 to 112.0.0.38—1
40112.0.0.39/32112.0.0.39 to 112.0.0.39—1
41112.0.0.40/32112.0.0.40 to 112.0.0.40—1
42112.0.0.41/32112.0.0.41 to 112.0.0.41—1
43112.0.0.42/32112.0.0.42 to 112.0.0.42—1
44112.0.0.43/32112.0.0.43 to 112.0.0.43—1
45112.0.0.44/32112.0.0.44 to 112.0.0.44—1
46112.0.0.45/32112.0.0.45 to 112.0.0.45—1
47112.0.0.46/32112.0.0.46 to 112.0.0.46—1
48112.0.0.47/32112.0.0.47 to 112.0.0.47—1
49112.0.0.48/32112.0.0.48 to 112.0.0.48—1
50112.0.0.49/32112.0.0.49 to 112.0.0.49—1
51112.0.0.50/32112.0.0.50 to 112.0.0.50—1
52112.0.0.51/32112.0.0.51 to 112.0.0.51—1
53112.0.0.52/32112.0.0.52 to 112.0.0.52—1
54112.0.0.53/32112.0.0.53 to 112.0.0.53—1
55112.0.0.54/32112.0.0.54 to 112.0.0.54—1
56112.0.0.55/32112.0.0.55 to 112.0.0.55—1
57112.0.0.56/32112.0.0.56 to 112.0.0.56—1
58112.0.0.57/32112.0.0.57 to 112.0.0.57—1
59112.0.0.58/32112.0.0.58 to 112.0.0.58—1
60112.0.0.59/32112.0.0.59 to 112.0.0.59—1
61112.0.0.60/32112.0.0.60 to 112.0.0.60—1
62112.0.0.61/32112.0.0.61 to 112.0.0.61—1
63112.0.0.62/32112.0.0.62 to 112.0.0.62—1
64112.0.0.63/32112.0.0.63 to 112.0.0.63—1
65112.0.0.64/32112.0.0.64 to 112.0.0.64—1
66112.0.0.65/32112.0.0.65 to 112.0.0.65—1
67112.0.0.66/32112.0.0.66 to 112.0.0.66—1
68112.0.0.67/32112.0.0.67 to 112.0.0.67—1
69112.0.0.68/32112.0.0.68 to 112.0.0.68—1
70112.0.0.69/32112.0.0.69 to 112.0.0.69—1
71112.0.0.70/32112.0.0.70 to 112.0.0.70—1
72112.0.0.71/32112.0.0.71 to 112.0.0.71—1
73112.0.0.72/32112.0.0.72 to 112.0.0.72—1
74112.0.0.73/32112.0.0.73 to 112.0.0.73—1
75112.0.0.74/32112.0.0.74 to 112.0.0.74—1
76112.0.0.75/32112.0.0.75 to 112.0.0.75—1
77112.0.0.76/32112.0.0.76 to 112.0.0.76—1
78112.0.0.77/32112.0.0.77 to 112.0.0.77—1
79112.0.0.78/32112.0.0.78 to 112.0.0.78—1
80112.0.0.79/32112.0.0.79 to 112.0.0.79—1
81112.0.0.80/32112.0.0.80 to 112.0.0.80—1
82112.0.0.81/32112.0.0.81 to 112.0.0.81—1
83112.0.0.82/32112.0.0.82 to 112.0.0.82—1
84112.0.0.83/32112.0.0.83 to 112.0.0.83—1
85112.0.0.84/32112.0.0.84 to 112.0.0.84—1
86112.0.0.85/32112.0.0.85 to 112.0.0.85—1
87112.0.0.86/32112.0.0.86 to 112.0.0.86—1
88112.0.0.87/32112.0.0.87 to 112.0.0.87—1
89112.0.0.88/32112.0.0.88 to 112.0.0.88—1
90112.0.0.89/32112.0.0.89 to 112.0.0.89—1
91112.0.0.90/32112.0.0.90 to 112.0.0.90—1
92112.0.0.91/32112.0.0.91 to 112.0.0.91—1
93112.0.0.92/32112.0.0.92 to 112.0.0.92—1
94112.0.0.93/32112.0.0.93 to 112.0.0.93—1
95112.0.0.94/32112.0.0.94 to 112.0.0.94—1
96112.0.0.95/32112.0.0.95 to 112.0.0.95—1
97112.0.0.96/32112.0.0.96 to 112.0.0.96—1
98112.0.0.97/32112.0.0.97 to 112.0.0.97—1
99112.0.0.98/32112.0.0.98 to 112.0.0.98—1
100112.0.0.99/32112.0.0.99 to 112.0.0.99—1
101112.0.0.100/32112.0.0.100 to 112.0.0.100—1
102112.0.0.101/32112.0.0.101 to 112.0.0.101—1
103112.0.0.102/32112.0.0.102 to 112.0.0.102—1
104112.0.0.103/32112.0.0.103 to 112.0.0.103—1
105112.0.0.104/32112.0.0.104 to 112.0.0.104—1
106112.0.0.105/32112.0.0.105 to 112.0.0.105—1
107112.0.0.106/32112.0.0.106 to 112.0.0.106—1
108112.0.0.107/32112.0.0.107 to 112.0.0.107—1
109112.0.0.108/32112.0.0.108 to 112.0.0.108—1
110112.0.0.109/32112.0.0.109 to 112.0.0.109—1
111112.0.0.110/32112.0.0.110 to 112.0.0.110—1
112112.0.0.111/32112.0.0.111 to 112.0.0.111—1
113112.0.0.112/32112.0.0.112 to 112.0.0.112—1
114112.0.0.113/32112.0.0.113 to 112.0.0.113—1
115112.0.0.114/32112.0.0.114 to 112.0.0.114—1
116112.0.0.115/32112.0.0.115 to 112.0.0.115—1
117112.0.0.116/32112.0.0.116 to 112.0.0.116—1
118112.0.0.117/32112.0.0.117 to 112.0.0.117—1
119112.0.0.118/32112.0.0.118 to 112.0.0.118—1
120112.0.0.119/32112.0.0.119 to 112.0.0.119—1
121112.0.0.120/32112.0.0.120 to 112.0.0.120—1
122112.0.0.121/32112.0.0.121 to 112.0.0.121—1
123112.0.0.122/32112.0.0.122 to 112.0.0.122—1
124112.0.0.123/32112.0.0.123 to 112.0.0.123—1
125112.0.0.124/32112.0.0.124 to 112.0.0.124—1
126112.0.0.125/32112.0.0.125 to 112.0.0.125—1
127112.0.0.126/32112.0.0.126 to 112.0.0.126—1
128112.0.0.127/32112.0.0.127 to 112.0.0.127—1
129112.0.0.128/32112.0.0.128 to 112.0.0.128—1
130112.0.0.129/32112.0.0.129 to 112.0.0.129—1
131112.0.0.130/32112.0.0.130 to 112.0.0.130—1
132112.0.0.131/32112.0.0.131 to 112.0.0.131—1
133112.0.0.132/32112.0.0.132 to 112.0.0.132—1
134112.0.0.133/32112.0.0.133 to 112.0.0.133—1
135112.0.0.134/32112.0.0.134 to 112.0.0.134—1
136112.0.0.135/32112.0.0.135 to 112.0.0.135—1
137112.0.0.136/32112.0.0.136 to 112.0.0.136—1
138112.0.0.137/32112.0.0.137 to 112.0.0.137—1
139112.0.0.138/32112.0.0.138 to 112.0.0.138—1
140112.0.0.139/32112.0.0.139 to 112.0.0.139—1
141112.0.0.140/32112.0.0.140 to 112.0.0.140—1
142112.0.0.141/32112.0.0.141 to 112.0.0.141—1
143112.0.0.142/32112.0.0.142 to 112.0.0.142—1
144112.0.0.143/32112.0.0.143 to 112.0.0.143—1
145112.0.0.144/32112.0.0.144 to 112.0.0.144—1
146112.0.0.145/32112.0.0.145 to 112.0.0.145—1
147112.0.0.146/32112.0.0.146 to 112.0.0.146—1
148112.0.0.147/32112.0.0.147 to 112.0.0.147—1
149112.0.0.148/32112.0.0.148 to 112.0.0.148—1
150112.0.0.149/32112.0.0.149 to 112.0.0.149—1
151112.0.0.150/32112.0.0.150 to 112.0.0.150—1
152112.0.0.151/32112.0.0.151 to 112.0.0.151—1
153112.0.0.152/32112.0.0.152 to 112.0.0.152—1
154112.0.0.153/32112.0.0.153 to 112.0.0.153—1
155112.0.0.154/32112.0.0.154 to 112.0.0.154—1
156112.0.0.155/32112.0.0.155 to 112.0.0.155—1
157112.0.0.156/32112.0.0.156 to 112.0.0.156—1
158112.0.0.157/32112.0.0.157 to 112.0.0.157—1
159112.0.0.158/32112.0.0.158 to 112.0.0.158—1
160112.0.0.159/32112.0.0.159 to 112.0.0.159—1
161112.0.0.160/32112.0.0.160 to 112.0.0.160—1
162112.0.0.161/32112.0.0.161 to 112.0.0.161—1
163112.0.0.162/32112.0.0.162 to 112.0.0.162—1
164112.0.0.163/32112.0.0.163 to 112.0.0.163—1
165112.0.0.164/32112.0.0.164 to 112.0.0.164—1
166112.0.0.165/32112.0.0.165 to 112.0.0.165—1
167112.0.0.166/32112.0.0.166 to 112.0.0.166—1
168112.0.0.167/32112.0.0.167 to 112.0.0.167—1
169112.0.0.168/32112.0.0.168 to 112.0.0.168—1
170112.0.0.169/32112.0.0.169 to 112.0.0.169—1
171112.0.0.170/32112.0.0.170 to 112.0.0.170—1
172112.0.0.171/32112.0.0.171 to 112.0.0.171—1
173112.0.0.172/32112.0.0.172 to 112.0.0.172—1
174112.0.0.173/32112.0.0.173 to 112.0.0.173—1
175112.0.0.174/32112.0.0.174 to 112.0.0.174—1
176112.0.0.175/32112.0.0.175 to 112.0.0.175—1
177112.0.0.176/32112.0.0.176 to 112.0.0.176—1
178112.0.0.177/32112.0.0.177 to 112.0.0.177—1
179112.0.0.178/32112.0.0.178 to 112.0.0.178—1
180112.0.0.179/32112.0.0.179 to 112.0.0.179—1
181112.0.0.180/32112.0.0.180 to 112.0.0.180—1
182112.0.0.181/32112.0.0.181 to 112.0.0.181—1
183112.0.0.182/32112.0.0.182 to 112.0.0.182—1
184112.0.0.183/32112.0.0.183 to 112.0.0.183—1
185112.0.0.184/32112.0.0.184 to 112.0.0.184—1
186112.0.0.185/32112.0.0.185 to 112.0.0.185—1
187112.0.0.186/32112.0.0.186 to 112.0.0.186—1
188112.0.0.187/32112.0.0.187 to 112.0.0.187—1
189112.0.0.188/32112.0.0.188 to 112.0.0.188—1
190112.0.0.189/32112.0.0.189 to 112.0.0.189—1
191112.0.0.190/32112.0.0.190 to 112.0.0.190—1
192112.0.0.191/32112.0.0.191 to 112.0.0.191—1
193112.0.0.192/32112.0.0.192 to 112.0.0.192—1
194112.0.0.193/32112.0.0.193 to 112.0.0.193—1
195112.0.0.194/32112.0.0.194 to 112.0.0.194—1
196112.0.0.195/32112.0.0.195 to 112.0.0.195—1
197112.0.0.196/32112.0.0.196 to 112.0.0.196—1
198112.0.0.197/32112.0.0.197 to 112.0.0.197—1
199112.0.0.198/32112.0.0.198 to 112.0.0.198—1
200112.0.0.199/32112.0.0.199 to 112.0.0.199—1
201112.0.0.200/32112.0.0.200 to 112.0.0.200—1
202112.0.0.201/32112.0.0.201 to 112.0.0.201—1
203112.0.0.202/32112.0.0.202 to 112.0.0.202—1
204112.0.0.203/32112.0.0.203 to 112.0.0.203—1
205112.0.0.204/32112.0.0.204 to 112.0.0.204—1
206112.0.0.205/32112.0.0.205 to 112.0.0.205—1
207112.0.0.206/32112.0.0.206 to 112.0.0.206—1
208112.0.0.207/32112.0.0.207 to 112.0.0.207—1
209112.0.0.208/32112.0.0.208 to 112.0.0.208—1
210112.0.0.209/32112.0.0.209 to 112.0.0.209—1
211112.0.0.210/32112.0.0.210 to 112.0.0.210—1
212112.0.0.211/32112.0.0.211 to 112.0.0.211—1
213112.0.0.212/32112.0.0.212 to 112.0.0.212—1
214112.0.0.213/32112.0.0.213 to 112.0.0.213—1
215112.0.0.214/32112.0.0.214 to 112.0.0.214—1
216112.0.0.215/32112.0.0.215 to 112.0.0.215—1
217112.0.0.216/32112.0.0.216 to 112.0.0.216—1
218112.0.0.217/32112.0.0.217 to 112.0.0.217—1
219112.0.0.218/32112.0.0.218 to 112.0.0.218—1
220112.0.0.219/32112.0.0.219 to 112.0.0.219—1
221112.0.0.220/32112.0.0.220 to 112.0.0.220—1
222112.0.0.221/32112.0.0.221 to 112.0.0.221—1
223112.0.0.222/32112.0.0.222 to 112.0.0.222—1
224112.0.0.223/32112.0.0.223 to 112.0.0.223—1
225112.0.0.224/32112.0.0.224 to 112.0.0.224—1
226112.0.0.225/32112.0.0.225 to 112.0.0.225—1
227112.0.0.226/32112.0.0.226 to 112.0.0.226—1
228112.0.0.227/32112.0.0.227 to 112.0.0.227—1
229112.0.0.228/32112.0.0.228 to 112.0.0.228—1
230112.0.0.229/32112.0.0.229 to 112.0.0.229—1
231112.0.0.230/32112.0.0.230 to 112.0.0.230—1
232112.0.0.231/32112.0.0.231 to 112.0.0.231—1
233112.0.0.232/32112.0.0.232 to 112.0.0.232—1
234112.0.0.233/32112.0.0.233 to 112.0.0.233—1
235112.0.0.234/32112.0.0.234 to 112.0.0.234—1
236112.0.0.235/32112.0.0.235 to 112.0.0.235—1
237112.0.0.236/32112.0.0.236 to 112.0.0.236—1
238112.0.0.237/32112.0.0.237 to 112.0.0.237—1
239112.0.0.238/32112.0.0.238 to 112.0.0.238—1
240112.0.0.239/32112.0.0.239 to 112.0.0.239—1
241112.0.0.240/32112.0.0.240 to 112.0.0.240—1
242112.0.0.241/32112.0.0.241 to 112.0.0.241—1
243112.0.0.242/32112.0.0.242 to 112.0.0.242—1
244112.0.0.243/32112.0.0.243 to 112.0.0.243—1
245112.0.0.244/32112.0.0.244 to 112.0.0.244—1
246112.0.0.245/32112.0.0.245 to 112.0.0.245—1
247112.0.0.246/32112.0.0.246 to 112.0.0.246—1
248112.0.0.247/32112.0.0.247 to 112.0.0.247—1
249112.0.0.248/32112.0.0.248 to 112.0.0.248—1
250112.0.0.249/32112.0.0.249 to 112.0.0.249—1
251112.0.0.250/32112.0.0.250 to 112.0.0.250—1
252112.0.0.251/32112.0.0.251 to 112.0.0.251—1
253112.0.0.252/32112.0.0.252 to 112.0.0.252—1
254112.0.0.253/32112.0.0.253 to 112.0.0.253—1
255112.0.0.254/32112.0.0.254 to 112.0.0.254—1
256112.0.0.255/32112.0.0.255 to 112.0.0.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses